package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// ListAccount 查询Cookie账户列表
func (c *ControllerV1) ListAccount(ctx context.Context, req *v1.ListAccountReq) (res *v1.ListAccountRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}

	list, total, err := service.JdCookie().ListAccount(ctx, req.Page, req.Size, req.Status, req.Keyword)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "查询Cookie账户列表失败")
	}

	res = &v1.ListAccountRes{
		List:  list,
		Total: total,
	}
	return
}
